# 2dxAutoClip

Tiny (<1mb without ffmpeg binary), portable c# application made to record and save clips of your beatmania IIDX sessions. Ships with a prebuilt version of [FFMPEG](https://github.com/FFmpeg/FFmpeg/tree/master) for easier usage.
Prebuilt binaries are available as releases, and they get updated every few commits.

## Custom Recording Path:
To set a custom recording path create (or edit) the prop.txt file with your new recording path. check release 0.0.2 for an example.


## Requirements:
- A fairly modern beatmania iidx install running [TickerHook](https://github.com/Radioo/TickerHook). All credit goes to original author
- About 150mb to extract the precompiled version of the application
- .net 8 if you'd rather build the app on your own

## Licensing:

All the code inside the repository is licensed under GPL3, FFMPEG follows this [licensing](https://github.com/FFmpeg/FFmpeg/blob/master/LICENSE.md). 